<?xml version="1.0" encoding="utf-8"?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <targets>
    <target 
      name="InfoLogFile" encoding="UTF-8" xsi:type="File" 
      fileName="${basedir}\\logs\\NeoFiscalDriver_info_${shortdate}.log"  
      layout="===================================================================${newline}${level} ${longdate} Thread: ${threadname} ${threadid} ${newline}${message}" 
    />
    <target 
      name="ErrorLogFile" encoding="UTF-8" xsi:type="File" 
      fileName="${basedir}\\logs\\NeoFiscalDriver_error_${shortdate}.log" 
      layout="===================================================================${newline}${level} ${longdate} Thread: ${threadname} ${threadid} ${newline}${message}" 
    />
    <target 
      name="DebugLogfile" encoding="UTF-8" xsi:type="File" 
      fileName="${basedir}\\logs\\NeoFiscalDriver_debug_${shortdate}.log" 
      layout="===================================================================${newline}${level} ${longdate} Thread: ${threadname} ${threadid} ${newline}${message}" 
    />
    <target 
      name="TraceLogfile" encoding="UTF-8" xsi:type="File" 
      fileName="${basedir}\\logs\\NeoFiscalDriver_trace_${shortdate}.log" 
      layout="===================================================================${newline}${level} ${longdate} Thread: ${threadname} ${threadid} ${newline}${message}" 
    />
  </targets>
  <rules>
    <logger name="*" level="Info"  writeTo="InfoLogFile" />
    <logger name="*" level="Error" writeTo="ErrorLogFile" />
    <logger name="*" level="Debug" writeTo="DebugLogfile" />
	<logger name="*" level="Trace" writeTo="TraceLogfile" />
  </rules>
</nlog>